<?php
include('auth.php');
is_admin($helpdesk_level);
$err = "";
if(isset($_POST['submit'])){
	$status_id = mysqli_real_escape_string($db,$_POST['status_id']);
	$status_desc = mysqli_real_escape_string($db,$_POST['status_desc']);

	if(strlen($status_desc) > 0){
		mysqli_query($db,"update call_status set status_desc = '$status_desc' where status_id = $status_id;");
		header('Location: call_status.php');
		exit();
	}else{
		$err = "Call status is required.";
	}
}else{
	$status_id = mysqli_real_escape_string($db,$_GET['status_id']);

	$result = mysqli_query($db,"select * from call_status where status_id = $status_id;");
	$row = mysqli_fetch_array($result);
}
?>
<!DOCTYPE html>
<html>
<head>
<title>Edit Status Type - <?php echo title;?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo css;?>" type="text/css">
</head>

<?php include('body.php');?>
<h3>Editing Call Status</h3>
<form method="post" action="edit_status.php">
<table class="table table-striped table-bordered" style="width: auto;">
<?php if(strlen($err) > 0){ ?>
<tr>
	<td><?php echo $err;?></td>
</tr>
<?php } ?>
<tr>
	<td>Call Status:&nbsp;</td>
	<td><input type="text" name="status_desc" size="30" value="<?php echo $row['status_desc'];?>"></td>
</tr>
<tr>
	<td colspan="2"><input type="submit" name="submit" value="Update" class="btn btn-success""></td>
</tr>
</table>
<input type="hidden" name="status_id" value="<?php echo $status_id;?>">
</form>
<?php include('footer.php');
