-- phpMyAdmin SQL Dump
-- version 4.1.12
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1:3306
-- Generation Time: Apr 06, 2014 at 09:05 AM
-- Server version: 5.5.37
-- PHP Version: 5.4.26

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `jethelpdesk`
--

-- --------------------------------------------------------

--
-- Table structure for table `calls`
--

CREATE TABLE `calls` (
  `call_id` int(10) NOT NULL AUTO_INCREMENT,
  `call_date` date DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `phone` varchar(20) DEFAULT NULL,
  `email` varchar(150) NOT NULL,
  `department_id` int(10) DEFAULT NULL,
  `issue_id` int(10) DEFAULT NULL,
  `problem_desc` text,
  `problem_solution` text,
  `problem_notes` text,
  `status_id` int(10) NOT NULL DEFAULT '1',
  `user_id` int(10) DEFAULT NULL,
  PRIMARY KEY (`call_id`)
)  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1000 ;

-- --------------------------------------------------------

--
-- Table structure for table `call_status`
--

CREATE TABLE `call_status` (
  `status_id` int(10) NOT NULL AUTO_INCREMENT,
  `status_desc` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`status_id`)
)  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `call_status`
--

INSERT INTO `call_status` (`status_id`, `status_desc`) VALUES
(1, 'Open'),
(4, 'Pending'),
(5, 'Closed');

-- --------------------------------------------------------

--
-- Table structure for table `departments`
--

CREATE TABLE `departments` (
  `department_id` int(10) NOT NULL AUTO_INCREMENT,
  `department_desc` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`department_id`)
)  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `departments`
--

INSERT INTO `departments` (`department_id`, `department_desc`) VALUES
(1, 'Marketing'),
(2, 'Sales');

-- --------------------------------------------------------

--
-- Table structure for table `issue_types`
--

CREATE TABLE `issue_types` (
  `issue_id` int(10) NOT NULL AUTO_INCREMENT,
  `issue_desc` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`issue_id`)
)  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- Dumping data for table `issue_types`
--

INSERT INTO `issue_types` (`issue_id`, `issue_desc`) VALUES
(3, 'monitor'),
(2, 'keyboard'),
(4, 'network'),
(5, 'mouse'),
(6, 'email'),
(8, 'password');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `fname` varchar(100) DEFAULT NULL,
  `lname` varchar(100) DEFAULT NULL,
  `user_name` varchar(100) NOT NULL DEFAULT '',
  `user_password` varchar(100) NOT NULL DEFAULT '',
  `access_level` varchar(20) NOT NULL DEFAULT 'Administrator',
  PRIMARY KEY (`user_id`)
)  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`user_id`, `fname`, `lname`, `user_name`, `user_password`, `access_level`) VALUES
(1, 'Admin', 'Admin', 'admin', '$2a$08$tm5QkW7jLIJcDkoXGSRq2u06udmPTGP2idbn9iRpkRFFDvDwU9rJu', 'Administrator');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
