<?php
//  Jet HelpDesk Config
//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
//==========================================================================================

//system name
define('title', 'Jet HelpDesk');

//leave blank to disable admin emails.
define('admin_email', 'vandermolen@gmail.com');

//database settings
define('db_name', 'jethelpdesk');
define('db_user', 'root');
define('db_password', 'pass');
define('db_host', 'localhost');

//CDN
//define('css', '//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css');
//Local
define('css', 'css/bootstrap.min.css');

//CDN
//define('jquery', '//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js');
//Local
define('jquery', 'js/jquery.min.js');

//CDN
//define('bootstrapjs', '//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js');
//Local
define('bootstrapjs', 'js/bootstrap.min.js');

//==========================================================================================
//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

$db = mysqli_connect(db_host, db_user, db_password);
if (!$db) {
  printf("<p>Can't connect to MySQL Server. Errorcode: %s\n</p>", mysqli_connect_error());
  exit;
}
mysqli_select_db($db, db_name) or die(mysql_error());

define('jhd','<!-- jethelpdesk.com -->');

// ALTER TABLE `calls` ADD `email` VARCHAR(150) NOT NULL AFTER `phone`;

//FUNCTIONS ==============================
function checkpwd($password,$login) {
	include_once("inc/PasswordHash.php");
	include_once("inc/ez_sql_core.php");
	include_once("inc/ez_sql_mysqli.php");
	$hasher = new PasswordHash(8, false);
	$stored_hash = "*";
	$ezdb = new ezSQL_mysqli(db_user,db_password,db_name,db_host);
	$stored_hash = $ezdb->get_var("SELECT user_password FROM users WHERE user_name = '$login' LIMIT 1;");
	//$ezdb->debug();
	$check = $hasher->CheckPassword($password, $stored_hash);
		if ($check) {
			$return_value = TRUE;
		}else{
			$return_value = FALSE;
		}
return $return_value;
}

function makepwd($password) {
	include_once("inc/PasswordHash.php");
	$hasher = "*";
	$hasher = new PasswordHash(8, false);
	$return_pass = $hasher->HashPassword($password);
return $return_pass;
}

function is_admin($helpdesk_level) {
	if($helpdesk_level <> 'Administrator') {
		header ("Location: login.php?not_authorized");
		exit();
	}
}

function sendmessage_newcall( $call_id ) {
	if(admin_email <> ''){
		include_once("inc/class.phpmailer.php");
		$mail = new PHPMailer();
		$mail->SetFrom(admin_email);
		$mail->AddAddress(admin_email);
		$mail->Subject = 'New Call';
		$econtent = "<p>".title." - New Call Received. Call ID: $call_id</p>";
		$mail->MsgHTML($econtent);
		$mail->Send();
	}
}